BatchDeleteDelegationByAssessment
Important
AWS Audit Manager will no longer be open to new customers starting April 30, 2026. If you would like to use Audit Manager, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Audit Manager availability change.
Deletes a batch of delegations for an assessment in AWS Audit Manager.
Request Syntax
PUT /assessments/assessmentId/delegations HTTP/1.1
Content-type: application/json
{
"delegationIds": [ "string" ]
}
URI Request Parameters
The request uses the following URI parameters.
- assessmentId
-
The identifier for the assessment.
Length Constraints: Fixed length of 36.
Pattern:
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$Required: Yes
Request Body
The request accepts the following data in JSON format.
- delegationIds
-
The identifiers for the delegations.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 50 items.
Length Constraints: Fixed length of 36.
Pattern:
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"errors": [
{
"delegationId": "string",
"errorCode": "string",
"errorMessage": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- errors
-
A list of errors that the
BatchDeleteDelegationByAssessmentAPI returned.Type: Array of BatchDeleteDelegationByAssessmentError objects
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
Your account isn't registered with AWS Audit Manager. Check the delegated administrator setup on the Audit Manager settings page, and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal service error occurred during the processing of your request. Try again later.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource that's specified in the request can't be found.
- resourceId
-
The unique identifier for the resource.
- resourceType
-
The type of resource that's affected by the error.
HTTP Status Code: 404
- ValidationException
-
The request has invalid or missing parameters.
- fields
-
The fields that caused the error, if applicable.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: